<?php
namespace App;
require_once($_SERVER['DOCUMENT_ROOT'] . '/rss/php/autoload.php');
require_once($_SERVER['DOCUMENT_ROOT'] . '/rss/php/conf.php');

use PDO;
use PDOException;
use Exception;
use stdClass;

class Sys{
    protected $conn;

    public function __construct(){
        global $conn;
        $this->conn = $conn;
    }

    public function validateVar($val){
        if(isset($val) && !empty($val) && $val){
            return true;
        }else{
            return false;
        }
    }

    protected function createResponse($status, $message = null, $info = null){
        $resp = new stdClass();
        $resp->status = $status;
        $resp->message = $message;
        $resp->info = $info;
        return $resp;
    }
}